Holger's Java API

## com.antelmann.db
Interface PasswordPolicy

    public interface PasswordPolicy

defines a policy for accepting passwords when changing them

Since:
  9. März 2007, 11:16
Author:
  Holger Antelmann

Method Summary
`boolean` `accept(User user, char[] password)`
`String` `getPasswordRequirementsString(User user)` tells the user who entered an inappropriate password what the requirements are

Method Detail

### accept

    boolean accept(User user,
                   char[] password)

### getPasswordRequirementsString

    String getPasswordRequirementsString(User user)

  tells the user who entered an inappropriate password what the requirements are

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads